#!/usr/bin/env python

import sys, pickle


def parse(p, d):
    r = []
    for (k, v) in d.items():
        t = "/".join([p, k])
        if type(v) == dict:
            r.extend(parse(t, v))
        else:
            r.append(t)
    return r

if __name__ == "__main__":
    fs = pickle.load(file(sys.argv[1]))
    for p in parse("", fs):
        print p
